Loading...
Searching...
No Matches
svn_auth_provider_t Struct Reference
Authentication functions

The main authentication "provider" vtable. More...

`#include <svn_auth.h>`

## Data Fields

const char * | cred_kind
| The kind of credentials this provider knows how to retrieve.
svn_error_t *(* | first_credentials )(void **credentials, void **iter_baton, void *provider_baton, apr_hash_t *parameters, const char *realmstring, apr_pool_t *pool)
| Get an initial set of credentials.
svn_error_t *(* | next_credentials )(void **credentials, void *iter_baton, void *provider_baton, apr_hash_t *parameters, const char *realmstring, apr_pool_t *pool)
| Get a different set of credentials.
svn_error_t *(* | save_credentials )(svn_boolean_t *saved, void *credentials, void *provider_baton, apr_hash_t *parameters, const char *realmstring, apr_pool_t *pool)
| Save credentials.

## Detailed Description

The main authentication "provider" vtable.

Definition at line 94 of file svn_auth.h.

## Field Documentation

## cred_kind

const char* svn_auth_provider_t::cred_kind

The kind of credentials this provider knows how to retrieve.

Definition at line 97 of file svn_auth.h.

## first_credentials

svn_error_t *(* svn_auth_provider_t::first_credentials) (void **credentials, void **iter_baton, void *provider_baton, apr_hash_t *parameters, const char *realmstring, apr_pool_t *pool)

Get an initial set of credentials.

Set *credentials to a set of valid credentials within realmstring, or NULL if no credentials are available. Set *iter_baton to context that allows a subsequent call to `next_credentials`, in case the first credentials fail to authenticate. provider_baton is general context for the vtable, parameters contains any run-time data that the provider may need, and realmstring comes from the svn_auth_first_credentials() call.

Definition at line 110 of file svn_auth.h.

## next_credentials

svn_error_t *(* svn_auth_provider_t::next_credentials) (void **credentials, void *iter_baton, void *provider_baton, apr_hash_t *parameters, const char *realmstring, apr_pool_t *pool)

Get a different set of credentials.

Set *credentials to another set of valid credentials (using iter_baton as the context from previous call to first_credentials or next_credentials). If no more credentials are available, set *credentials to NULL. If the provider only has one set of credentials, this function pointer should simply be NULL. provider_baton is general context for the vtable, parameters contains any run-time data that the provider may need, and realmstring comes from the svn_auth_first_credentials() call.

Definition at line 128 of file svn_auth.h.

## save_credentials

svn_error_t *(* svn_auth_provider_t::save_credentials) (svn_boolean_t *saved, void *credentials, void *provider_baton, apr_hash_t *parameters, const char *realmstring, apr_pool_t *pool)

Save credentials.

Store credentials for future use. provider_baton is general context for the vtable, and parameters contains any run-time data the provider may need. Set *saved to TRUE if the save happened, or FALSE if not. The provider is not required to save; if it refuses or is unable to save for non-fatal reasons, return FALSE. If the provider never saves data, then this function pointer should simply be NULL. realmstring comes from the svn_auth_first_credentials() call.

Definition at line 146 of file svn_auth.h.

The documentation for this struct was generated from the following file:

- svn_auth.h